import streamlit as st
import webpages as pg
from webpages.navigation import navigation_bar as nv

st.set_page_config(page_title="BuffTeks Student Organization",
    page_icon="./images/BuffTeksLogo.png",
    layout = "centered"
    )



page_label = nv()

# block for main pages
if page_label == "Homepage":
    pg.home()

elif page_label == "BuffBot":
    pg.buffbot()

elif page_label == "Letter Generator":
    pg.letter_generator()

elif page_label == "AI Image Editor":
    pg.ai_image_editor()
    
elif page_label == "Outstanding Members":
    pg.outstanding_members()

elif page_label == "BuffTeks Project":
    pg.project()

elif page_label == "About Classroom":
    pg.classroom()

elif page_label == "BuffTeks Event":
    pg.event()

elif page_label == "Join Us":
    pg.join_us()

# block of PythonX lessons
elif page_label == "About PythonX":
    pg.pythonx_homepage()    
elif page_label == "Introduction":
    pg.pythonx_introduction()
elif page_label == "WordCloud":
    pg.pythonx_wordcloud()
elif page_label == "Finance":
    pg.pythonx_finance()
elif page_label == "GeoMap":
    pg.pythonx_geomap()
elif page_label == "BuffBot":
    pg.pythonx_buffbot()
    
# block of CIS Tech Challenge Event
elif page_label == "CIS Tech Challenge":
    pg.cis_tech_challenge_homepage()

# block of CoreTeks
elif page_label == "CoreTeks":
    pg.coreteks_homepage()
# block for testing page
elif page_label == "Testing":
    pg.testing()
elif page_label == "Reference":
    pg.reference()